# 通知消息说明

## 交易消息

> 通过webhook接口订阅交易消息，首先配置回调消息的接口 推送`ORDER_EXEC_REPORT`消息，当`status`为2时，`executePrice`、`executeNum`、`executeTime`均有可能是空。仅推送订单状态的变化过程（最后只是推送一个订单状态变化为完全成交了，所以这时候没有最新成交数量和价格）

### 交易消息类型

| 消息类型                   | 通知场景 | 描述                   |
| ---------------------- | ---- | -------------------- |
| ORDER\_CANCEL\_REPORT  | 客户撤单 | 撤单信息已被平台受理结果通知       |
| ORDER\_EXEC\_REPORT    | 订单成交 | 订单部分成交或全部成交通知        |
| ORDER\_EXPIRED\_REPORT | 订单取消 | 订单提交成功后，因平台规则产生的撤单通知 |
| QUOTE\_TAG             | 询价结果 | 开启或关闭询价，报价通知         |

**ORDER\_CANCEL\_REPORT**

| 名称            | 类型     | 描述                      |
| ------------- | ------ | ----------------------- |
| exchangeId    | String | 平台标识符。binance-币安；okx-欧易 |
| tradeType     | Long   | 玩法类型。10-交易桥；            |
| companyId     | Long   | 公司Id                    |
| customerId    | Long   | 客户Id                    |
| customerNo    | String | 客户编码                    |
| accountName   | String | 账号别名                    |
| orderId       | String | 平台订单号                   |
| clientOrderId | String | 客户自定义的唯一订单ID            |
| remark        | String | 备注                      |

**ORDER\_EXEC\_REPORT**

| 名称                 | 类型     | 描述                                                                       |
| ------------------ | ------ | ------------------------------------------------------------------------ |
| exchangeId         | String | 平台标识符。binance-币安；okx-欧易                                                  |
| tradeType          | Long   | 玩法类型。10-交易桥；                                                             |
| companyId          | Long   | 公司Id                                                                     |
| customerId         | Long   | 客户Id                                                                     |
| customerNo         | String | 客户编码                                                                     |
| accountName        | String | 账号别名                                                                     |
| tradeId            | String | 成交单号                                                                     |
| orderId            | String | 平台订单号                                                                    |
| clientOrderId      | String | 客户自定义的唯一订单ID                                                             |
| executeNum         | String | 成交数量                                                                     |
| executePrice       | String | 成交价格                                                                     |
| executeTime        | Long   | 成交时间，13位时间戳                                                              |
| symbolId           | Long   | 产品Id                                                                     |
| commission         | String | 手续费。负数位扣除；正数为返佣；                                                         |
| commissionCurrency | String | 手续费资产币种                                                                  |
| status             | String | 订单当前状态。1-订单已提交；2-订单完全成交；3-订单部分成交；4-订单被客户撤销；5-订单被平台撤销；6-订单被平台拒绝；7-订单过期撤销； |
| remark             | String | 备注                                                                       |

**ORDER\_EXPIRED\_REPORT**

| 名称            | 类型     | 描述                      |
| ------------- | ------ | ----------------------- |
| exchangeId    | String | 平台标识符。binance-币安；okx-欧易 |
| tradeType     | Long   | 玩法类型。10-交易桥；            |
| companyId     | Long   | 公司Id                    |
| customerId    | Long   | 客户Id                    |
| customerNo    | String | 客户编码                    |
| accountName   | String | 账号别名                    |
| orderId       | String | 平台订单号                   |
| clientOrderId | String | 客户自定义的唯一订单ID            |
| remark        | String | 备注                      |

**QUOTE\_TAG**

| 名称              | 类型     | 描述                                            |
| --------------- | ------ | --------------------------------------------- |
| exchangeId      | String | 平台标识符。binance-币安；okx-欧易；cumberland-cumberland |
| tradeType       | Long   | 玩法类型。10-交易桥；                                  |
| companyId       | Long   | 公司Id                                          |
| customerId      | Long   | 客户Id                                          |
| customerNo      | String | 客户编码                                          |
| accountName     | String | 账号别名                                          |
| expireTime      | Long   | 询价到期时间（13位时间戳）                                |
| version         | String | 报价版本号                                         |
| quoteId         | String | 报价Id                                          |
| buyQuantity     | String | 可买数量                                          |
| buyPrice        | String | 买单价                                           |
| buyTotalAmount  | String | 买总额                                           |
| sellQuantity    | String | 可卖数量                                          |
| sellPrice       | String | 卖单价                                           |
| sellTotalAmount | String | 卖总额                                           |
| status          | String | 当前询价状态。1-开启询价；4-关闭询价                          |
| symbolId        | Long   | 产品Id                                          |
| symbolCode      | String | 对应交易所产品Code                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/bridge-api/xiao-xi-ding-yue/tong-zhi-xiao-xi-shuo-ming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
